# Makefile.in generated by automake 1.6.3 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.411 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@
SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@

EXEEXT = @EXEEXT@
OBJEXT = @OBJEXT@
PATH_SEPARATOR = @PATH_SEPARATOR@
AMTAR = @AMTAR@
AR = @AR@
ARCH_CFLAGS = @ARCH_CFLAGS@
ARTSCCONFIG = @ARTSCCONFIG@
ARTS_LIBS = @ARTS_LIBS@
AS = @AS@
AUTODIRS = @AUTODIRS@
AWK = @AWK@
CC = @CC@
CCAS = @CCAS@
CCASFLAGS = @CCASFLAGS@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CXX = @CXX@
CXXCPP = @CXXCPP@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOPIDLNG = @DCOPIDLNG@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
ECHO = @ECHO@
EGREP = @EGREP@
F77 = @F77@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
ID3_LIB = @ID3_LIB@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JAR = @JAR@
JAVAC = @JAVAC@
JAVAH = @JAVAH@
JVMLIBS = @JVMLIBS@
KCFG_DEPENDENCIES = @KCFG_DEPENDENCIES@
KCONFIG_COMPILER = @KCONFIG_COMPILER@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_NO_UNDEFINED = @KDE_NO_UNDEFINED@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_USE_NMCHECK_FALSE = @KDE_USE_NMCHECK_FALSE@
KDE_USE_NMCHECK_TRUE = @KDE_USE_NMCHECK_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBGEN = @LIBGEN@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBRESOLV = @LIBRESOLV@
LIBSAMPLERATE = @LIBSAMPLERATE@
LIBSHADOW = @LIBSHADOW@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBZ = @LIBZ@
LIB_JASPER = @LIB_JASPER@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPIM = @LIB_KDEPIM@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_KUTILS = @LIB_KUTILS@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_QTOPIA = @LIB_QTOPIA@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
MAD_LIB = @MAD_LIB@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
OBJC = @OBJC@
OBJCFLAGS = @OBJCFLAGS@
OBJDUMP = @OBJDUMP@
PACKAGE = @PACKAGE@
PAMLIBS = @PAMLIBS@
PASSWDLIBS = @PASSWDLIBS@
PERL = @PERL@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
PYTHONMODDIR = @PYTHONMODDIR@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QTOPIA_INCLUDES = @QTOPIA_INCLUDES@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
RC = @RC@
RESMGR_LIB = @RESMGR_LIB@
SETUIDFLAGS = @SETUIDFLAGS@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
XMLLINT = @XMLLINT@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__include = @am__include@
am__quote = @am__quote@
install_sh = @install_sh@
jni_includes = @jni_includes@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_kcfgdir = @kde_kcfgdir@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdeinitdir = @kdeinitdir@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
x_includes = @x_includes@
x_libraries = @x_libraries@
xdg_appsdir = @xdg_appsdir@
xdg_directorydir = @xdg_directorydir@
xdg_menudir = @xdg_menudir@
noinst_LTLIBRARIES = libvideoEncoding.la

AM_CPPFLAGS = -I$(srcdir)/../core -I$(srcdir)/../tools -I$(srcdir)/.. $(all_includes)

#>- METASOURCES = AUTO

libvideoEncoding_la_SOURCES = k3bdivxencodingprocess.cpp k3bdivxprojectparser.cpp k3bdivxresize.cpp k3bdivxpreview.cpp k3bdivxcrop.cpp k3bdivxinfo.cpp k3bdivxcodecdata.cpp k3bdivxsizetab.cpp k3bdivxbasetab.cpp k3bdivxavextend.cpp k3bdivxavset.cpp k3bdivxdirectories.cpp k3bdivxview.cpp k3bdivxtcprobeac3.cpp k3bdivxadvancedtab.cpp k3bdivxextsettings.cpp k3bdivxhelper.cpp 
subdir = src/videoEncoding
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libvideoEncoding_la_LDFLAGS =
libvideoEncoding_la_LIBADD =
am_libvideoEncoding_la_OBJECTS = k3bdivxencodingprocess.lo \
	k3bdivxprojectparser.lo k3bdivxresize.lo k3bdivxpreview.lo \
	k3bdivxcrop.lo k3bdivxinfo.lo k3bdivxcodecdata.lo \
	k3bdivxsizetab.lo k3bdivxbasetab.lo k3bdivxavextend.lo \
	k3bdivxavset.lo k3bdivxdirectories.lo k3bdivxview.lo \
	k3bdivxtcprobeac3.lo k3bdivxadvancedtab.lo \
	k3bdivxextsettings.lo k3bdivxhelper.lo
#>- libvideoEncoding_la_OBJECTS = $(am_libvideoEncoding_la_OBJECTS)
#>+ 10
libvideoEncoding_la_final_OBJECTS = libvideoEncoding_la.all_cpp.lo 
libvideoEncoding_la_nofinal_OBJECTS = k3bdivxencodingprocess.lo \
	k3bdivxprojectparser.lo k3bdivxresize.lo k3bdivxpreview.lo \
	k3bdivxcrop.lo k3bdivxinfo.lo k3bdivxcodecdata.lo \
	k3bdivxsizetab.lo k3bdivxbasetab.lo k3bdivxavextend.lo \
	k3bdivxavset.lo k3bdivxdirectories.lo k3bdivxview.lo \
	k3bdivxtcprobeac3.lo k3bdivxadvancedtab.lo \
	k3bdivxextsettings.lo k3bdivxhelper.lo
@KDE_USE_FINAL_FALSE@libvideoEncoding_la_OBJECTS = $(libvideoEncoding_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libvideoEncoding_la_OBJECTS = $(libvideoEncoding_la_final_OBJECTS)

DEFS = @DEFS@
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/k3bdivxadvancedtab.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxavextend.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxavset.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxbasetab.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxcodecdata.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxcrop.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxdirectories.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxencodingprocess.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxextsettings.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxhelper.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxinfo.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxpreview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxprojectparser.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxresize.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxsizetab.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxtcprobeac3.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/k3bdivxview.Plo
#>+ 34
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =   $(DEPDIR)/libvideoEncoding_la.all_cpp.P ./$(DEPDIR)/k3bdivxadvancedtab.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxavextend.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxavset.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxbasetab.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxcodecdata.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxcrop.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxdirectories.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxencodingprocess.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxextsettings.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxhelper.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxinfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxpreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxprojectparser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxresize.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxsizetab.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxtcprobeac3.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxview.Plo
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  ./$(DEPDIR)/k3bdivxadvancedtab.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxavextend.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxavset.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxbasetab.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxcodecdata.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxcrop.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxdirectories.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxencodingprocess.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxextsettings.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxhelper.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxinfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxpreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxprojectparser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxresize.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxsizetab.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxtcprobeac3.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/k3bdivxview.Plo
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXFLAGS = @CXXFLAGS@
DIST_SOURCES = $(libvideoEncoding_la_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(libvideoEncoding_la_SOURCES)

#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  src/videoEncoding/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/videoEncoding/Makefile
	cd $(top_srcdir) && perl admin/am_edit src/videoEncoding/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test -z "$dir" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libvideoEncoding.la: $(libvideoEncoding_la_OBJECTS) $(libvideoEncoding_la_DEPENDENCIES) 
	$(CXXLINK)  $(libvideoEncoding_la_LDFLAGS) $(libvideoEncoding_la_OBJECTS) $(libvideoEncoding_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxadvancedtab.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxavextend.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxavset.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxbasetab.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxcodecdata.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxcrop.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxdirectories.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxencodingprocess.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxextsettings.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxhelper.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxpreview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxprojectparser.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxresize.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxsizetab.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxtcprobeac3.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/k3bdivxview.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `cygpath -w $<`

.cpp.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
CXXDEPMODE = @CXXDEPMODE@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES)

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

#>- clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
#>- 	mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-bcheck clean-final  clean-generic clean-libtool clean-noinstLTLIBRARIES \
	mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-info-am

.PHONY: GTAGS all all-am check check-am clean clean-generic \
	clean-libtool clean-noinstLTLIBRARIES distclean \
	distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am info \
	info-am install install-am install-data install-data-am \
	install-exec install-exec-am install-info install-info-am \
	install-man install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool tags uninstall uninstall-am \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 3
k3bdivxsizetab.moc: $(srcdir)/k3bdivxsizetab.h
	$(MOC) $(srcdir)/k3bdivxsizetab.h -o k3bdivxsizetab.moc

#>+ 2
mocs: k3bdivxsizetab.moc

#>+ 3
k3bdivxavset.moc: $(srcdir)/k3bdivxavset.h
	$(MOC) $(srcdir)/k3bdivxavset.h -o k3bdivxavset.moc

#>+ 2
mocs: k3bdivxavset.moc

#>+ 3
k3bdivxadvancedtab.moc: $(srcdir)/k3bdivxadvancedtab.h
	$(MOC) $(srcdir)/k3bdivxadvancedtab.h -o k3bdivxadvancedtab.moc

#>+ 2
mocs: k3bdivxadvancedtab.moc

#>+ 3
k3bdivxbasetab.moc: $(srcdir)/k3bdivxbasetab.h
	$(MOC) $(srcdir)/k3bdivxbasetab.h -o k3bdivxbasetab.moc

#>+ 2
mocs: k3bdivxbasetab.moc

#>+ 3
k3bdivxhelper.moc: $(srcdir)/k3bdivxhelper.h
	$(MOC) $(srcdir)/k3bdivxhelper.h -o k3bdivxhelper.moc

#>+ 2
mocs: k3bdivxhelper.moc

#>+ 3
k3bdivxview.moc: $(srcdir)/k3bdivxview.h
	$(MOC) $(srcdir)/k3bdivxview.h -o k3bdivxview.moc

#>+ 2
mocs: k3bdivxview.moc

#>+ 3
k3bdivxtcprobeac3.moc: $(srcdir)/k3bdivxtcprobeac3.h
	$(MOC) $(srcdir)/k3bdivxtcprobeac3.h -o k3bdivxtcprobeac3.moc

#>+ 2
mocs: k3bdivxtcprobeac3.moc

#>+ 3
k3bdivxavextend.moc: $(srcdir)/k3bdivxavextend.h
	$(MOC) $(srcdir)/k3bdivxavextend.h -o k3bdivxavextend.moc

#>+ 2
mocs: k3bdivxavextend.moc

#>+ 3
k3bdivxencodingprocess.moc: $(srcdir)/k3bdivxencodingprocess.h
	$(MOC) $(srcdir)/k3bdivxencodingprocess.h -o k3bdivxencodingprocess.moc

#>+ 2
mocs: k3bdivxencodingprocess.moc

#>+ 3
k3bdivxdirectories.moc: $(srcdir)/k3bdivxdirectories.h
	$(MOC) $(srcdir)/k3bdivxdirectories.h -o k3bdivxdirectories.moc

#>+ 2
mocs: k3bdivxdirectories.moc

#>+ 3
k3bdivxcrop.moc: $(srcdir)/k3bdivxcrop.h
	$(MOC) $(srcdir)/k3bdivxcrop.h -o k3bdivxcrop.moc

#>+ 2
mocs: k3bdivxcrop.moc

#>+ 3
k3bdivxresize.moc: $(srcdir)/k3bdivxresize.h
	$(MOC) $(srcdir)/k3bdivxresize.h -o k3bdivxresize.moc

#>+ 2
mocs: k3bdivxresize.moc

#>+ 3
k3bdivxpreview.moc: $(srcdir)/k3bdivxpreview.h
	$(MOC) $(srcdir)/k3bdivxpreview.h -o k3bdivxpreview.moc

#>+ 2
mocs: k3bdivxpreview.moc

#>+ 3
k3bdivxextsettings.moc: $(srcdir)/k3bdivxextsettings.h
	$(MOC) $(srcdir)/k3bdivxextsettings.h -o k3bdivxextsettings.moc

#>+ 2
mocs: k3bdivxextsettings.moc

#>+ 3
clean-metasources:
	-rm -f  k3bdivxsizetab.moc k3bdivxavset.moc k3bdivxadvancedtab.moc k3bdivxbasetab.moc k3bdivxhelper.moc k3bdivxview.moc k3bdivxtcprobeac3.moc k3bdivxavextend.moc k3bdivxencodingprocess.moc k3bdivxdirectories.moc k3bdivxcrop.moc k3bdivxresize.moc k3bdivxpreview.moc k3bdivxextsettings.moc

#>+ 2
KDE_DIST=k3bdivxview.h k3bdivxhelper.h k3bdivxencodingprocess.h k3bdivxinfo.h k3bdivxcodecdata.h k3bdivxavextend.h k3bdivxcrop.h k3bdivxextsettings.h k3bdivxadvancedtab.h k3bdivxprojectparser.h k3bdivxtcprobeac3.h k3bdivxdirectories.h k3bdivxresize.h k3bdivxsizetab.h k3bdivxbasetab.h k3bdivxavset.h k3bdivxpreview.h 

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/videoEncoding/Makefile
	cd $(top_srcdir) && perl admin/am_edit src/videoEncoding/Makefile.in


#>+ 21
clean-bcheck: 
	rm -f *.bchecktest.cc *.bchecktest.cc.class a.out

bcheck: bcheck-am

bcheck-am:
	@for i in ; do \
	    if test $(srcdir)/$$i -nt $$i.bchecktest.cc; then \
	        echo "int main() {return 0;}" > $$i.bchecktest.cc ; \
	        echo "#include \"$$i\"" >> $$i.bchecktest.cc ; \
	        echo "$$i"; \
	        if ! $(CXXCOMPILE)  --dump-class-hierarchy -c $$i.bchecktest.cc; then \
	            rm -f $$i.bchecktest.cc; exit 1; \
	        fi ; \
	        echo "" >> $$i.bchecktest.cc.class; \
	        perl $(top_srcdir)/admin/bcheck.pl $$i.bchecktest.cc.class || { rm -f $$i.bchecktest.cc; exit 1; }; \
	        rm -f a.out; \
	    fi ; \
	done


#>+ 11
libvideoEncoding_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/k3bdivxencodingprocess.cpp $(srcdir)/k3bdivxprojectparser.cpp $(srcdir)/k3bdivxresize.cpp $(srcdir)/k3bdivxpreview.cpp $(srcdir)/k3bdivxcrop.cpp $(srcdir)/k3bdivxinfo.cpp $(srcdir)/k3bdivxcodecdata.cpp $(srcdir)/k3bdivxsizetab.cpp $(srcdir)/k3bdivxbasetab.cpp $(srcdir)/k3bdivxavextend.cpp $(srcdir)/k3bdivxavset.cpp $(srcdir)/k3bdivxdirectories.cpp $(srcdir)/k3bdivxview.cpp $(srcdir)/k3bdivxtcprobeac3.cpp $(srcdir)/k3bdivxadvancedtab.cpp $(srcdir)/k3bdivxextsettings.cpp $(srcdir)/k3bdivxhelper.cpp  k3bdivxsizetab.moc k3bdivxadvancedtab.moc k3bdivxavset.moc k3bdivxhelper.moc k3bdivxbasetab.moc k3bdivxtcprobeac3.moc k3bdivxview.moc k3bdivxavextend.moc k3bdivxencodingprocess.moc k3bdivxcrop.moc k3bdivxdirectories.moc k3bdivxresize.moc k3bdivxextsettings.moc k3bdivxpreview.moc
	@echo 'creating libvideoEncoding_la.all_cpp.cpp ...'; \
	rm -f libvideoEncoding_la.all_cpp.files libvideoEncoding_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libvideoEncoding_la.all_cpp.final; \
	for file in k3bdivxencodingprocess.cpp k3bdivxprojectparser.cpp k3bdivxresize.cpp k3bdivxpreview.cpp k3bdivxcrop.cpp k3bdivxinfo.cpp k3bdivxcodecdata.cpp k3bdivxsizetab.cpp k3bdivxbasetab.cpp k3bdivxavextend.cpp k3bdivxavset.cpp k3bdivxdirectories.cpp k3bdivxview.cpp k3bdivxtcprobeac3.cpp k3bdivxadvancedtab.cpp k3bdivxextsettings.cpp k3bdivxhelper.cpp ; do \
	  echo "#include \"$$file\"" >> libvideoEncoding_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libvideoEncoding_la.all_cpp.final; \
	done; \
	cat libvideoEncoding_la.all_cpp.final libvideoEncoding_la.all_cpp.files > libvideoEncoding_la.all_cpp.cpp; \
	rm -f libvideoEncoding_la.all_cpp.final libvideoEncoding_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f libvideoEncoding_la.all_cpp.cpp

#>+ 3
final:
	$(MAKE) libvideoEncoding_la_OBJECTS="$(libvideoEncoding_la_final_OBJECTS)" all-am

#>+ 3
final-install:
	$(MAKE) libvideoEncoding_la_OBJECTS="$(libvideoEncoding_la_final_OBJECTS)" install-am

#>+ 3
no-final:
	$(MAKE) libvideoEncoding_la_OBJECTS="$(libvideoEncoding_la_nofinal_OBJECTS)" all-am

#>+ 3
no-final-install:
	$(MAKE) libvideoEncoding_la_OBJECTS="$(libvideoEncoding_la_nofinal_OBJECTS)" install-am

#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 31
k3bdivxhelper.o: k3bdivxhelper.moc 
k3bdivxavset.lo: k3bdivxavset.moc 
k3bdivxavextend.lo: k3bdivxavextend.moc 
k3bdivxavextend.o: k3bdivxavextend.moc 
k3bdivxextsettings.lo: k3bdivxextsettings.moc 
k3bdivxtcprobeac3.o: k3bdivxtcprobeac3.moc 
nmcheck-am: nmcheck
k3bdivxpreview.o: k3bdivxpreview.moc 
k3bdivxresize.lo: k3bdivxresize.moc 
k3bdivxadvancedtab.o: k3bdivxadvancedtab.moc 
k3bdivxpreview.lo: k3bdivxpreview.moc 
k3bdivxcrop.o: k3bdivxcrop.moc 
k3bdivxhelper.lo: k3bdivxhelper.moc 
k3bdivxview.o: k3bdivxview.moc 
k3bdivxavset.o: k3bdivxavset.moc 
k3bdivxencodingprocess.o: k3bdivxencodingprocess.moc 
k3bdivxbasetab.o: k3bdivxbasetab.moc 
k3bdivxbasetab.lo: k3bdivxbasetab.moc 
k3bdivxresize.o: k3bdivxresize.moc 
k3bdivxsizetab.o: k3bdivxsizetab.moc 
k3bdivxencodingprocess.lo: k3bdivxencodingprocess.moc 
k3bdivxview.lo: k3bdivxview.moc 
k3bdivxdirectories.o: k3bdivxdirectories.moc 
k3bdivxtcprobeac3.lo: k3bdivxtcprobeac3.moc 
k3bdivxsizetab.lo: k3bdivxsizetab.moc 
nmcheck: 
k3bdivxcrop.lo: k3bdivxcrop.moc 
k3bdivxadvancedtab.lo: k3bdivxadvancedtab.moc 
k3bdivxdirectories.lo: k3bdivxdirectories.moc 
k3bdivxextsettings.o: k3bdivxextsettings.moc 
